LibreOffice LibreOffice 7.2 SDK API Reference

Public Member Functions | List of all members
XClipboardFactory Interface Referencepublished

Should be implemented by a clipboard factory that simplifies the creation of multiple clipboard instances. More...

`import"XClipboardFactory.idl";`

Inheritance diagram for XClipboardFactory:

## Public Member Functions
XClipboard | createClipboard ([in] string aName) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates a new named clipboard instance. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Should be implemented by a clipboard factory that simplifies the creation of multiple clipboard instances.

See also
  com::sun::star::datatransfer::clipboard::XClipboard

## Member Function Documentation

## ◆ createClipboard()

XClipboard createClipboard | ( | [in] string | aName | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Creates a new named clipboard instance.

Returns
  A newly created instance of a GenericClipboard implementation.

Parameters

  aName | The name the clipboard should have.

Exceptions

  com::sun::star::lang::IllegalArgumentException | If an empty string is passed as clipboard name.

The documentation for this interface was generated from the following file:

- com/sun/star/datatransfer/clipboard/XClipboardFactory.idl